[arch-commits] Commit in pinentry/trunk (PKGBUILD pinentry.install)

Tobias Powalowski tpowa at archlinux.org
Tue Jul 12 03:40:08 EDT 2011


    Date: Tuesday, July 12, 2011 @ 03:40:08
  Author: tpowa
Revision: 131244

upgpkg: pinentry 0.8.1-2
fix info files

Added:
  pinentry/trunk/pinentry.install
Modified:
  pinentry/trunk/PKGBUILD

------------------+
 PKGBUILD         |    3 ++-
 pinentry.install |   20 ++++++++++++++++++++
 2 files changed, 22 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2011-07-12 07:39:23 UTC (rev 131243)
+++ PKGBUILD	2011-07-12 07:40:08 UTC (rev 131244)
@@ -2,7 +2,7 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=pinentry
 pkgver=0.8.1
-pkgrel=1
+pkgrel=2
 pkgdesc="a collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
 arch=('i686' 'x86_64')
 license=('GPL')
@@ -15,6 +15,7 @@
             'qt: for qt4 backend')  
 source=(ftp://ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.gz
         gtk2-pinentry-segfault.patch)
+install=pinentry.install
 
 build() {
   cd $startdir/src/$pkgname-$pkgver

Added: pinentry.install
===================================================================
--- pinentry.install	                        (rev 0)
+++ pinentry.install	2011-07-12 07:40:08 UTC (rev 131244)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(pinentry.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list